package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.bean.result.SysConfigResult;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 自定义菜单result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/8/24
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SysAdminSetResult implements Serializable {

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    Long schoolId;

    @ApiModelProperty(value = "自定义菜单id")
    List<String> privilegeIdList;

    @ApiModelProperty(value = "返回结果")
    List<SysConfigResult> result;

    @ApiModelProperty(value = "自定义角色id")
    List<String> roleIdList;

    public SysAdminSetResult() {

    }

    public SysAdminSetResult(Long schoolId) {
        this.schoolId = schoolId;
    }

    public SysAdminSetResult(Long schoolId, List<SysConfigResult> result) {
        this.schoolId = schoolId;
        this.result = result;
    }

    public List<String> getRoleIdList() {
        return roleIdList;
    }

    public void setRoleIdList(List<String> roleIdList) {
        this.roleIdList = roleIdList;
    }

    public List<String> getPrivilegeIdList() {
        return privilegeIdList;
    }

    public void setPrivilegeIdList(List<String> privilegeIdList) {
        this.privilegeIdList = privilegeIdList;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public List<SysConfigResult> getResult() {
        return result;
    }

    public void setResult(List<SysConfigResult> result) {
        this.result = result;
    }
}
